/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 

#ifndef headerfilecoremounts
#define headerfilecoremounts


#include <map>
#include "mount.h"
#include "request.h"
#include "log.h"
#include "mountparser.h"



class Mounts
{
public:

	void ReadMounts();

	void CalculateCurrentMountType();
	Mount GetCurrentMountPoint();
	void MountCmsForRoot();
	
	
private:

	Mount current_dir;

	// dir_id, mount_point
	std::map<long, Mount> mount_table;

};



#endif
